| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Attributes

# IG::Num::MatrixStore< T > Class Template Reference

Matrix store. Stores matrix objects for reuse.Can be used for storage fo matrices with specific dimension (default) or for torage of any non-null matrices. More...

Inheritance diagram for IG::Num::MatrixStore< T >:
[legend]
Collaboration diagram for IG::Num::MatrixStore< T >:
[legend]

List of all members.

## Public Member Functions
| MatrixStore (int rowCount, int columnCount)
| Constructs a new matrix store for matrices with the specified dimensions.
| MatrixStore (int rowCount, int columnCount, bool constrainDimensions)
  | Constructs a new matrix store for matrices with the specified dimensions. If Parameters:
  constrainDimensions |
is false then store can be used for matrices with any dimensions.
override bool | IsEligible (T mat)
| Returns true if the specified matrix is eligible for storage in the current store, false if not.
## Protected Member Functions
| MatrixStore ()
| Constructs a new matrix store of unspecified dimensions.
## Protected Attributes
bool | _constrainDimensions = true
| Ilf true then only matrices with matching dimensions are eligible for storing. Default is true.
int | _rowCount
## Properties
bool | ConstrainDimensions`[get, set]`
| Ilf true then only matrices with matching dimensions are eligible for storing.
int | RowCount`[get, set]`
| Number of rows for matrices to be stored. If ConstrainDimensions is true then only matrices that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new matrices.
int | ColumnCount`[get, set]`
| Number of columns for matrices to be stored. If ConstrainDimensions is true then only matrices that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new matrices.
## Private Attributes
int | _columnCount

## Detailed Description

### template<T>
class IG::Num::MatrixStore< T >

Matrix store.

Stores matrix objects for reuse.

Can be used for storage fo matrices with specific dimension (default) or for torage of any non-null matrices.

Template Parameters:

  T |

Type Constraints

  T | : | class |
  T | : | IMatrix |

## Member Function Documentation

template<T >

IG::Num::MatrixStore< T >::MatrixStore | ( |  | ) | `[inline, protected]`

Constructs a new matrix store of unspecified dimensions.

template<T >

IG::Num::MatrixStore< T >::MatrixStore | ( | int | rowCount,
|  | int | columnCount
| ) |  | `[inline]`

Constructs a new matrix store for matrices with the specified dimensions.

Parameters:

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

template<T >

IG::Num::MatrixStore< T >::MatrixStore | ( | int | rowCount,
|  | int | columnCount,
|  | bool | constrainDimensions
| ) |  | `[inline]`

Constructs a new matrix store for matrices with the specified dimensions. If

Parameters:

  constrainDimensions |

is false then store can be used for matrices with any dimensions.

Parameters:

  rowCount | Number of rows of stored matrices.
  columnCount | Number of columns of stored matrices.

template<T >

override bool IG::Num::MatrixStore< T >::IsEligible | ( | T | mat | ) | `[inline, virtual]`

Returns true if the specified matrix is eligible for storage in the current store, false if not.

Parameters:

  mat | Matrix whose eligibility is checked.

Reimplemented from IG::Lib::ObjectStore< T >.

## Member Data Documentation

template<T >

bool IG::Num::MatrixStore< T >::_constrainDimensions = true`[protected]`

Ilf true then only matrices with matching dimensions are eligible for storing. Default is true.

template<T >

int IG::Num::MatrixStore< T >::_rowCount`[protected]`

template<T >

int IG::Num::MatrixStore< T >::_columnCount`[private]`

## Property Documentation

template<T >

bool IG::Num::MatrixStore< T >::ConstrainDimensions`[get, set]`

Ilf true then only matrices with matching dimensions are eligible for storing.

template<T >

int IG::Num::MatrixStore< T >::RowCount`[get, set]`

Number of rows for matrices to be stored. If ConstrainDimensions is true then only matrices that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new matrices.

template<T >

int IG::Num::MatrixStore< T >::ColumnCount`[get, set]`

Number of columns for matrices to be stored. If ConstrainDimensions is true then only matrices that match dimensions are eligible for storage. Otherwise, dimensions are only important for creation of new matrices.

The documentation for this class was generated from the following file:

- MatrixBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events